LogsList a pattern's records

List a pattern's records

The pattern's records, paged exactly like the search.

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/logs/patterns/v1:892ea82429dfa0bf975caecb03a9e5ea/occurrences?location_id=example_string&from=2026-10-18T10%3A00%3A00Z&to=example_string&range=15m&limit=100&order=desc&cursor=example_string&body_max_bytes=2048" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "records": [
      {
        "uuid": "example_string",
        "timestamp": "2024-12-25T10:00:00Z",
        "observed_at": "2024-12-25T10:00:00Z",
        "received_at": "2024-12-25T10:00:00Z",
        "level": "trace",
        "severity_number": 42,
        "severity_text": "example_string",
        "service": "checkout",
        "scope_name": "John Doe",
        "scope_version": "example_string",
        "event_name": "John Doe",
        "body": "example_string",
        "body_bytes": 42,
        "body_truncated": true,
        "attributes": {},
        "resource_attributes": {},
        "trace_id": "example_string",
        "span_id": "example_string",
        "distinct_id": "example_string",
        "session_id": "example_string",
        "pattern_id": "example_string"
      }
    ],
    "next_cursor": "example_string",
    "meta": {
      "from": "2024-12-25T10:00:00Z",
      "to": "2024-12-25T10:00:00Z",
      "order": "example_string",
      "limit": 42,
      "truncated": true
    }
  }
}
GET
/client/v1/logs/patterns/{id}/occurrences
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_) or location secret key (sk_). Scoped keys (mcp_) are accepted too and need logs:read. See Using an mcp_ key over HTTP.

Agency key (ak_) or location secret key (sk_). Scoped keys (mcp_) are accepted too and need logs:read. See Using an mcp_ key over HTTP.
query
location_idstring

Location to scope to. Required for ak_ keys (or send the X-Location-Id header); ignored for sk_.

query
fromstring

Window start, ISO 8601 or epoch milliseconds. Default is range (or 1 hour) before to.

query
tostring

Window end, exclusive. Default now.

query
rangestring

Preset window ending at to. Ignored when from is set. At most 30 days.

Options: 15m, 1h, 6h, 24h, 7d, 30d
query
limitinteger
Min: 1 • Max: 500
query
orderstring
Options: desc, asc
query
cursorstring

next_cursor from the previous page.

query
body_max_bytesinteger
Min: 64 • Max: 32768
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_) or location secret key (sk_). Scoped keys (mcp_) are accepted too and need logs:read. See Using an mcp_ key over HTTP.

Path Parameters

idstring
Required
Example:
v1:892ea82429dfa0bf975caecb03a9e5ea

Query Parameters

location_idstring

Location to scope to. Required for ak_ keys (or send the X-Location-Id header); ignored for sk_.

fromstring

Window start, ISO 8601 or epoch milliseconds. Default is range (or 1 hour) before to.

Example:
2026-10-18T10:00:00Z
tostring

Window end, exclusive. Default now.

rangestring

Preset window ending at to. Ignored when from is set. At most 30 days.

Allowed values:15m1h6h24h7d30d
orderstring
Allowed values:descasc
cursorstring

next_cursor from the previous page.

Responses

successboolean
dataobject